'''
Created on Apr 9, 2018

@author: jessica
'''
from Facade import Facade
from parser.Option import Option


def bigasp(rules, input, outputpredicates, db, server, username, password):
    facade = Facade()
    return facade.solve(rules, input, outputpredicates, db, server, username, password)


if __name__ == '__main__':
    '''program = "r(X, Y):-r(X, Z), a(Z, Y).\n r(X, Y):-a(X, Y)."
    facts = "a(2,4). a(1,2). a(2,3). a(3,5)."'''


    # chiusura transitiva
    f = open("dlvtests/test1121", "r")
    program = f.read()
    f.close()

    
    Option.getInstance().setTesting(False)

    '''POSTGRES'''
    results = bigasp(program, "", "", "database", "localhost", "domenico97", "12345")

    '''HIVE'''
    #Hive remoto
    #results = bigasp(program, "", "", "bigdlv", "160.97.63.106:53100", "admin", "admin")

    #Hive locale
    #results = bigasp(program, "", "r/2", "bigdlv", "localhost:10000", "hiveuser", "hivepassword")


    if isinstance(results, list):
        for i in results:
            print(i)
    else:
        print(results)
