class Option:
    __instance = None
    __testMode = False

    @staticmethod
    def getInstance():
        """ Static access method. """
        if Option.__instance == None:
            Option()
        return Option.__instance

    def __init__(self):
        """ Virtually private constructor. """
        if Option.__instance != None:
            raise Exception("This class is a singleton!")
        else:
            Option.__instance = self

    def setTesting(self,testMode):
        self.__testMode=testMode

    def getTesting(self,):
        return self.__testMode

